<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
//=================================================================
// Tags filtern und Kontaform ausgeben
//=================================================================
function inlineContactform($text)
{
	$text = preg_replace("!\[CONTACT:([0-9]*)\]!Uise", "getinlineContactform('$1')", $text);
	return $text;
}


//=================================================================
// Kontaktform ausgeben
//=================================================================
function getinlineContactform($id)
{
	$use_code = false;
	
	if($GLOBALS['settings']['Sicherheitscode']==1) 
	{
		ContactCaptcha();
		$use_code = true;
		$GLOBALS['tmpl']->assign('contact_secure', $_SESSION['contact_secure_question']);
		$GLOBALS['tmpl']->assign('use_code', 1);
	}
	
	$res = $GLOBALS['db']->RowQuery("SELECT 
		Titel1 AS DefTitel, 
		Titel" . LC . " AS Titel,
		Intro" . LC . " AS Intro,
		Email,
		Anlage,
		Gruppen,
		Id 
	FROM " . PREFIX . "_kontakt_form WHERE Aktiv='1' AND Id='" . abs((int)$id) . "'");
	if(is_object($res))
	{
		$groups = explode(',', $res->Gruppen);
		if(!in_array($_SESSION['user_group'], $groups) && $res->Gruppen!='') return; 
		
		$felder = array();
		$res_form = $GLOBALS['db']->Query("SELECT 
			Name1 AS DefName,
			Werte,
			Id,
			Pflicht,
			Typ,
			Zahl,
			Email,
			Name" . LC . " AS Name 
		FROM 
			" . PREFIX . "_kontakt_form_felder WHERE Form_Id='$res->Id' ORDER BY Posi ASC");
		while($row_form = $res_form->fetchrow())
		{
			switch($row_form->Typ)
			{
				default:
				case 'textfield':
					$row_form->OutElemVal = $row_form->Werte;
				break;
				
				case 'radio':
				case 'checkbox':
				case 'dropdown':
					$row_form->OutElemVal = explode(',', $row_form->Werte);
				break;
			}
			
			$row_form->Name = (!$row_form->Name) ? $row_form->DefName : $row_form->Name;
			array_push($felder,$row_form);
		}
		
		$GLOBALS['tmpl']->assign('form_attachment', $res->Anlage);
		$GLOBALS['tmpl']->assign('form_intro', $res->Intro);
		$GLOBALS['tmpl']->assign('form_id_raw', $res->Id);
		$GLOBALS['tmpl']->assign('form_id', 'form_' . $res->Id);
		$GLOBALS['tmpl']->assign('contact_id', 'ilc_' . $res->Id);
		$GLOBALS['tmpl']->assign('contact_fields', $felder); 
		$GLOBALS['tmpl']->assign('contact_title', (!$res->Titel) ? $res->DefTitel : $res->Titel);
		
		$out = $GLOBALS['tmpl']->fetch($GLOBALS['config']['source'] . '/contact/contactform.tpl');
		return $out;
	}	
}

//=================================================================
// Sicherheitscode-Funktion
//=================================================================
function ContactCaptcha()
{
	unset($_SESSION['contact_secure_result']);
	unset($_SESSION['contact_secure_question']);
	
	srand((double)microtime() * 1000000);
	$random1 = rand(1,70);
	$random2 = rand(1,10);
	
	if($random1 % 2 != 1 && ($random2<=$random1)) 
	{
		$result  = $random1 + $random2; 
		$quest   = "$random1 + $random2";
	} else {
		$result  = $random1 + $random2; 
		$quest   = "$random1 + $random2";
	}

	$_SESSION['contact_secure_result'] = $result;
	$_SESSION['contact_secure_question'] = $quest;
}
?>